<template>
    <div>
        <h3>{{ article.title }}</h3>
        <strong>Body : </strong>
        <div>
            {{ article.body }}
        </div>
        <span class="glyphicon glyphicon-arrow-left"></span>
        <router-link v-bind:to="'/'">Back to post list</router-link>
    </div>
</template>

<script>
  export default {
    data: function () {
      return {article: {title: '', body: ''}}
    },
    created: function () {
      fetch('/api/article/' + this.$route.params.id)
        .then(res => res.json())
        .then(res => {
          this.article = res.data;
        });
    }
  }
</script>